Package org.eclipse.birt.report.engine.extension

# Interface IRowSet

public interface IRowSet
defines an interface that wraps around a row set.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
clse the row set
`Object`
`evaluate(String expr)`
evaluate the expression using current row.
`Object`
`evaluate(org.eclipse.birt.data.engine.api.IBaseExpression expr)`
`int`
`getEndingGroupLevel()`
Returns the 1-based index of the outermost group in which the current row is the first row.
`IRowMetaData`
`getMetaData()`
returns the definition for the data row
`int`
`getStartingGroupLevel()`
Returns the 1-based index of the outermost group in which the current row is the last row.
`boolean`
`isEmpty()`
Judges if the IRowSet is empty or not
`boolean`
`next()`
move the row to next.

## Method Details

### getMetaData

IRowMetaData getMetaData()
returns the definition for the data row

Returns:
  the definition for the data row

### next

boolean next()
move the row to next.

Returns:
  true successful, false for no more rows

### getStartingGroupLevel

int getStartingGroupLevel()
Returns the 1-based index of the outermost group in which the current row is the last row. For example, if a query contain N groups (group with index 1 being the outermost group, and group with index N being the innermost group), and this function returns a value M, it indicates that the current row is the last row in groups with indexes (M, M+1, ..., N ). -1 represents current row is a detail row. 0 represents the end of whole resultset

Returns:
  1-based index of the outermost group in which the current row is the first row; (N+1) if the current row is not at the start of any group; 0 if the result set has no groups.

### getEndingGroupLevel

int getEndingGroupLevel()
Returns the 1-based index of the outermost group in which the current row is the first row. For example, if a query contain N groups (group with index 1 being the outermost group, and group with index N being the innermost group), and this function returns a value M, it indicates that the current row is the first row in groups with indexes (M, M+1, ..., N ).

Returns:
  1-based index of the outermost group in which the current row is the first row; (N+1) if the current row is not at the start of any group; 0 if the result set has no groups.

### evaluate

Object evaluate(String expr)
evaluate the expression using current row.

Parameters:
  `expr` - expression, must be prepared in DTE.prepared().
Returns:
  result of the expression.

### evaluate

Object evaluate(org.eclipse.birt.data.engine.api.IBaseExpression expr)

### close

void close()
clse the row set

### isEmpty

boolean isEmpty() throws org.eclipse.birt.core.exception.BirtException
Judges if the IRowSet is empty or not

Returns:
  true if IRowSet is empty. false if it is not empty.
Throws:
  `org.eclipse.birt.core.exception.BirtException`